Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class CircuitInvocation

    java.lang.Object
      com.vordel.circuit.CircuitInvocation

    public class CircuitInvocation

extends java.lang.Object

Field Summary
`Circuit` | `circuit`
`CircuitInvocation` | `next`
`java.util.List<FilterInvocation>` | `path`
`long` | `totalExecutionTime`

Constructor Summary
`CircuitInvocation(Circuit circuit)`

Method Summary
`boolean` | `circuitException(CircuitAbortException fault, Message m, MessageProcessor faultHandler)`
`java.lang.String` | `getCircuitName()`
`java.lang.Object` | `getReferenceContext()`
`boolean` | `invokeFilter(MessageProcessor node, Message message)`
`boolean` | `isCompoundProcessorContext()`
`CircuitInvocation` | `newContext(MessageProcessor proc, Message m)`
`int` | `processMessage(Message m, MessageProcessor lastChanceHandler)` Entry point into user-configured circuits, to be called by the relevant listener Plugin.
`boolean` | `runCircuit(Message m)`
`void` | `setReferenceContext(java.lang.Object context)`
`static void` | `tracePath(CircuitInvocation circuitInvocation, int level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### path

    public java.util.List<FilterInvocation> path

### circuit

    public final Circuit circuit

### next

    public CircuitInvocation next

### totalExecutionTime

    public long totalExecutionTime

Constructor Detail

### CircuitInvocation

    public CircuitInvocation(Circuit circuit)

Method Detail

### setReferenceContext

    public void setReferenceContext(java.lang.Object context)

### getReferenceContext

    public java.lang.Object getReferenceContext()

### newContext

    public CircuitInvocation newContext(MessageProcessor proc,
                                        Message m)

### isCompoundProcessorContext

    public boolean isCompoundProcessorContext()

### tracePath

    public static void tracePath(CircuitInvocation circuitInvocation,
                                 int level)

### runCircuit

    public boolean runCircuit(Message m)
                       throws CircuitAbortException

  Throws:
    `CircuitAbortException`

### invokeFilter

    public final boolean invokeFilter(MessageProcessor node,
                                      Message message)
                               throws CircuitAbortException

  Throws:
    `CircuitAbortException`

### circuitException

    public boolean circuitException(CircuitAbortException fault,
                                    Message m,
                                    MessageProcessor faultHandler)
                             throws CircuitAbortException

  Throws:
    `CircuitAbortException`

### getCircuitName

    public java.lang.String getCircuitName()

### processMessage

    public int processMessage(Message m,
                              MessageProcessor lastChanceHandler)

  Entry point into user-configured circuits, to be called by the relevant listener Plugin.

  Parameters:
    `m` - The message to be processed
    `lastChanceHandler` - The fault handler to call if no other fault handler takes responsibility for a CircuitAbortException

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel